//
//  detailViewController.m
//  testPractice
//
//  Created by Scott Crouch on 12/3/10.
//  Copyright 2010 Scott Crouch All rights reserved.
//

#import "detailViewController.h"


@implementation detailViewController 

@synthesize model, imageView; 


//this function just sets the global index var to the paremeter of our setIndexForStaffImage functio 
- (void) setIndexForStaffImage: (int) index { 
	
	imageIndex = index;
	
	NSLog(@"%d", imageIndex);
} 

- (void) loadView { 
	[super loadView];
}

//we are using viewWillAppear here because we want to continuously load the view when the vc is presented

- (void) viewWillAppear: (BOOL) animated { 
	
	//create a new instance of the datamodel
	model = [[practiceModel alloc] init];
	
	//create the image view and set it's image to the image at the index
	imageView = [[UIImageView alloc] initWithImage: [model getImageAtIndex:imageIndex]];
	imageView.frame = CGRectMake(0, 0, 320, 480); 
	
	//set the view to imageView and then release it
	[self setView:imageView]; 
	
	[imageView release];
} 

- (void) dealloc { 
	
	[model release];
	[imageView release];
	[super dealloc]; 
	
} 

@end
